import { invite } from "../../entity/invite";
import { InviteViewModel } from "../../viewmodel/admin/invite.models";

export default abstract class InviteFactory {
  /**
   * @description map record to invite
   * @param {invite} record
   * @returns {InviteViewModel}
   */
  public static mapToSingle(record: invite): InviteViewModel {
    return {
      mail: record.mail,
      username: record.username,
      firstname: record.firstname,
      lastname: record.lastname,
    };
  }

  /**
   * @description map records to invite
   * @param {Array<invite>} records
   * @returns {Array<InviteViewModel>}
   */
  public static mapToBase(records: Array<invite>): Array<InviteViewModel> {
    return records.map((r) => this.mapToSingle(r));
  }
}
